player = {}
activePlayer = {}

player.__index = player

function player:destroy()
	for i, player in ipairs(activePlayer) do
        if (player == self) then
		table.remove(activePlayer, i)
        end
    end
end

function player:new(x,y)
	local playerObj = {}
	
	playerObj.right   = love.graphics.newImage('image/player/sprite.png')
	playerObj.right:setFilter( "nearest", "nearest" )
	
	playerObj.arm   = love.graphics.newImage('image/player/arm.png')
	playerObj.arm:setFilter( "nearest", "nearest" )
	playerObj.arm2   = love.graphics.newImage('image/player/arm2.png')
	playerObj.arm2:setFilter( "nearest", "nearest" )
	
	walk_right = newAnimation(playerObj.right, 7, 17, 0.20, 0)
	
	playerObj.left   = love.graphics.newImage('image/player/sprite2.png')
	playerObj.left:setFilter( "nearest", "nearest" )
	walk_left = newAnimation(playerObj.left, 7, 17, 0.20, 0)

	playerObj.width = 3 
	playerObj.h = 13 
	playerObj.speed = 5
	playerObj.direction = "left"
	playerObj.move = "false"
	
	playerObj.collision = {}
	playerObj.collision.body = love.physics.newBody(world, 400, 550, "dynamic")
	playerObj.collision.shape = love.physics.newRectangleShape(0, 0, 3*12,13*12)
	playerObj.collision.fixture = love.physics.newFixture(playerObj.collision.body, playerObj.collision.shape, 1)
	
	playerObj.x = playerObj.collision.body:getX() 
	playerObj.y = playerObj.collision.body:getY()
	
	
	aiming = "false"
	aimingcooldown = 0
	aimingcooler = "false"
	mousex = love.mouse.getX()
	mousey = love.mouse.getY()
	startx = 0
	starty = 0
	rotation = 0
	rotation2 = 0
	
	return setmetatable(playerObj, player)
	
end


function player:AI(dt)
	self.x = self.collision.body:getX() - 42
	self.y = self.collision.body:getY() - 125

	self.speed = 3
	walk_left:setSpeed(0.81)
	walk_right:setSpeed(0.81)
	self.running = "false"
	

if love.keyboard.isDown("a") then
walk_left:update(dt)   
self.collision.body:applyForce(-400, 0)
self.direction = "left"
self.move = "false"

elseif love.keyboard.isDown("d") then
walk_right:update(dt)   
self.collision.body:applyForce(400, 0)
self.direction = "right"
self.move = "false"
else
self.move = "true"
end

if self.direction == "left" and self.move == "true" then
walk_left:reset()
end
if self.direction == "right" and self.move == "true" then
walk_right:reset()
end



end

function player:draw()

if aiming == "true" then
if self.direction == "right" then
love.graphics.draw(self.arm, self.x + 50 , self.y + 85, 0,12 )
end
if self.direction == "left" then
love.graphics.draw(self.arm2, self.x - 25, self.y + 85, 0,12 )
end
else end

if self.direction == "left" then
walk_left:draw(self.x, self.y,0,12) 
end
if self.direction == "right" then
walk_right:draw(self.x, self.y,0,12) 
end

end

-- MOUSE PRESSED
function player.mousepressed(x, y, button)

end
function player.mousereleased(x, y, button)

end

--KEYPRESSED
function player.keypressed(key)
   if key == "e" then
      aiming = "true"
	end
end
function player.keyreleased(key)
   if key == "e" then
      aiming = "false"
   end
end


function UPDATE_PLAYER(dt)
for i, player in ipairs(activePlayer) do
    	player:AI(dt)
	end
end

function DRAW_PLAYER()
	for i, player in ipairs(activePlayer) do
    	player:draw()
	end
end

